/*
 * toolmanager_protos.h  V2.0
 *
 * Prototypes for toolmanager.library functions
 *
 * (c) 1990-1992 Stefan Becker
 */

#include <libraries/toolmanager.h>

/* library functions */
void *AllocTMHandle        (void);
BOOL  ChangeTMObjectTagList(void *, char *, struct TagItem *);
BOOL  CreateTMObjectTagList(void *, char *, ULONG,           struct TagItem *);
BOOL  DeleteTMObject       (void *, char *);
void  FreeTMHandle         (void *);
void  QuitToolManager      (void);

/* varargs stubs */
BOOL ChangeTMObjectTags(void *, char *, ULONG, ...);
BOOL CreateTMObjectTags(void *, char *, ULONG, ULONG, ...);
